### Function

# GLib unichar_get_script

since: 2.14

#### Declaration [src]

    GUnicodeScript
    g_unichar_get_script (
      gunichar ch
    )

#### Description [src]

Looks up the `GUnicodeScript` for a particular character (as defined by Unicode Standard Annex #24). No check is made for `ch` being a valid Unicode character; if you pass in invalid character, the result is undefined.

This function is equivalent to `pango_script_for_unichar()` and the two are interchangeable.

Available since: 2.14

#### Parameters

`ch`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `GUnicodeScript`

The `GUnicodeScript` for the character.